#include "StdAfx.h"
#include "WarMmcSnapin.h"
#include "WmsNodeOptions.h"   // class implemented
#include "WarCollector.h"
#include "WarIfServer.h"
#include "WarIfSite.h"


/////////////////////////////// PUBLIC ///////////////////////////////////////


// {6E8A6ECB-3D7F-4720-B900-4D34618DC6B0}
const GUID WmsNodeOptions::thisGuid = 
{ 0x6e8a6ecb, 0x3d7f, 0x4720, { 0xb9, 0x0, 0x4d, 0x34, 0x61, 0x8d, 0xc6, 0xb0 } };


WmsNodeOptions::WmsNodeOptions(war_if_server_ptr_t& rSvrPtr)
: mServicePtr(rSvrPtr) // Deleted by parent
{
}

WmsNodeOptions::WmsNodeOptions(war_if_site_ptr_t& rSitePtr)
: mSitePtr(rSitePtr) // Deleted by parent
{
}

WmsNodeOptions::~WmsNodeOptions()
{
}

//============================= LIFECYCLE ====================================
//============================= OPERATORS ====================================
//============================= OPERATIONS ===================================
//============================= CALLBACK     ===================================

HRESULT WmsNodeOptions::OnExpand(IConsoleNameSpace *pConsoleNameSpace, 
                                 IConsole *pConsole, 
                                 HSCOPEITEM parent)
{
    if (GetHandle() == NULL) 
        SetHandle((HANDLE)parent);

    if (!bExpanded) 
    {
    }
 
    return S_OK;   
}

//============================= ACCESS     ===================================
//============================= INQUIRY    ===================================

const int WmsNodeOptions::GetBitmapIndex()
{
    return NICON_OPTIONS;
}

const _TCHAR *WmsNodeOptions::GetDisplayName(int nCol)
{
    static _TCHAR szDisplayName[256] = {0};
    
    if (!*szDisplayName)
    {
        LoadString(g_hinst, 
            IDS_OPTIONSNAME, 
            szDisplayName, 
            sizeof(szDisplayName));
    }
    
    return szDisplayName; 
}

const GUID & WmsNodeOptions::getNodeType()
{
    return thisGuid; 
}

/////////////////////////////// PROTECTED  ///////////////////////////////////

/////////////////////////////// PRIVATE    ///////////////////////////////////

