/** 
*/

#ifndef WMS_NODE_OPTIONS_H
#define WMS_NODE_OPTIONS_H

/* SYSTEM INCLUDES */


/* PROJECT INCLUDES */

#ifndef CDELEGATION_BASE_H
#   include "DelegationBase.h"
#endif

#ifndef WAR_IF_SERVER_H
#   include "WarIfServer.h"
#endif

/* LOCAL INCLUDES */


/* FORWARD REFERENCES */

class WarIfServer;

#ifdef __cplusplus
extern "C" 
{
#endif
/****************** BEGIN OLD STYLE C spesific ********/


/****************** END OLD STYLE C spesific **********/
#ifdef __cplusplus 
}
#endif

/****************** BEGIN C++ spesific ****************/

#ifdef __cplusplus

class WmsNodeOptions : public CDelegationBase
{
public:
    // LIFECYCLE

    WmsNodeOptions(war_if_server_ptr_t& rSvrPtr);
    WmsNodeOptions(war_if_site_ptr_t& rSitePtr);
    ~WmsNodeOptions();

    // OPERATORS
    // OPERATIONS
    // CALLBACK

    virtual HRESULT OnExpand(IConsoleNameSpace *pConsoleNameSpace, IConsole *pConsole, HSCOPEITEM parent);

    // ACCESS
    // INQUIRY

    virtual const int GetBitmapIndex();
    virtual const _TCHAR *GetDisplayName(int nCol = 0);
    virtual const GUID& getNodeType();
    
protected:
private:
    war_if_server_ptr_t mServicePtr;
    war_if_site_ptr_t mSitePtr;
    static const GUID thisGuid;

};

/* INLINE METHODS */

/* EXTERNAL REFERENCES */

#endif /* __cplusplus */

/****************** END C++ spesific ******************/

#endif  /* WMS_NODE_OPTIONS_H_ */

